# Contributing to mlpack

mlpack is a community-led project; that means that anyone is welcome to
contribute to mlpack and join the community!  If you would like to make
improvements to the library, add new features that are useful to you and others,
or have found a bug that you know how to fix, please submit a pull request!

If you would like to learn more about how to get started contributing, see
[Getting Involved](http://www.mlpack.org/involved.html), and if you are
interested in participating in Google Summer of Code, see
[mlpack and Google Summer of Code](http://www.mlpack.org/gsoc.html).

## Pull request process

Once a pull request is submitted, it must be approved by at least one member of
mlpack's Contributors team, to ensure that (if applicable):

 * the design meshes with the rest of mlpack
 * the style matches the
   [Style Guide](http://github.com/mlpack/mlpack/wiki/DesignGuidelines)
 * any new functionality is tested and working

The pull request can be merged as soon as it receives two approvals; 24 hours
after the first approval, mlpack-bot will provide a second approval.  This is to
leave time for anyone to comment on the PR before it is merged.

Members of the Contributors team are encouraged to review pull requests that
have already been reviewed, and pull request contributors are encouraged to seek
multiple reviews.  Reviews from anyone not on the Contributors team are always
appreciated and encouraged!
